<template>
  <svg :width="width" :height="height" :viewBox="`0 0 ${width} ${height}`" fill="none" xmlns="http://www.w3.org/2000/svg">
    <path
      opacity="0.5" 
      d="M36.775 408.418C61.3109 449.664 95.0838 481.91 138.094 505.158C179.487 527.54 225.73 539.077 276.765 539.942L993.669 35.2824C993.668 35.2823 993.668 35.2822 993.668 35.282M36.775 408.418L37.2049 408.163M36.775 408.418L37.2047 408.162C37.2048 408.162 37.2049 408.163 37.2049 408.163M36.775 408.418C12.2968 367.172 0 321.081 0 270.029C0 218.977 12.2391 172.885 36.775 131.64C61.3109 90.3942 95.0838 58.1476 138.094 34.8424M37.2049 408.163C61.6937 449.329 95.3996 481.512 138.332 504.718C179.648 527.058 225.811 538.578 276.773 539.442L276.779 539.442C278.849 539.5 280.921 539.5 282.942 539.5H849C902.442 539.5 950.681 527.922 993.669 504.718C1036.6 481.512 1070.31 449.443 1094.8 408.507C1119.28 367.576 1131.5 321.402 1131.5 270.029C1131.5 218.656 1119.28 172.424 1094.8 131.55C1070.31 90.6145 1036.6 58.5456 993.668 35.282M37.2049 408.163C12.7753 366.999 0.5 320.997 0.5 270.029C0.5 219.061 12.7178 173.059 37.2047 131.895C61.6935 90.729 95.3995 58.5453 138.332 35.2821M993.668 35.282C950.68 12.0779 902.5 0.5 849 0.5H282.942C280.863 0.5 278.791 0.500035 276.779 0.557482L276.773 0.557648C225.753 1.42168 179.59 12.9417 138.332 35.2821M993.668 35.282L138.332 35.2821M138.332 35.2821L138.094 34.8424M138.332 35.2821C138.332 35.2821 138.332 35.2821 138.332 35.282L138.094 34.8424M138.332 35.2821L276.765 0.0576861C225.673 0.922978 179.43 12.4602 138.094 34.8424M121.84 365.169L121.841 365.169C137.934 393.514 160.053 415.558 188.133 431.351C216.214 447.145 247.821 455.067 282.942 455.067H849C884.064 455.067 915.67 447.145 943.809 431.351L943.564 430.915L943.809 431.351C971.889 415.558 994.008 393.514 1010.04 365.169C1026.08 336.822 1034.13 305.066 1034.13 270.029C1034.13 234.991 1026.08 203.236 1010.04 174.889L1009.61 175.135L1010.04 174.889C994.008 146.602 971.889 124.5 943.809 108.706L943.564 109.142L943.809 108.706C915.67 92.9121 884.063 85.0485 849 85.0485H282.942C247.879 85.0485 216.214 92.912 188.133 108.706C159.995 124.5 137.934 146.602 121.841 174.888L121.84 174.889C105.803 203.236 97.759 234.934 97.759 270.029C97.759 305.124 105.803 336.822 121.84 365.169Z"
      :stroke="!isFilled ? strokeColor : 'none'"
      :fill="isFilled ? 'url(#paint0_linear_1043_1128)' : 'none'"
    />
    <defs v-if="isFilled">
      <linearGradient id="paint0_linear_1043_1128" x1="-249.175" y1="155.378" x2="383.401" y2="151.732" gradientUnits="userSpaceOnUse">
        <stop :stop-color="fillStartColor"/>
        <stop offset="1" :stop-color="fillEndColor"/>
      </linearGradient>
    </defs>
  </svg>
</template>

<script>
export default {
  props: {
    height: {
      type: Number,
      default: 166
    },
    width: {
      type: Number,
      default: 215
    },
    strokeColor: {
      type: String,
      default: '#FFFFFF'
    },
    isFilled: {
      type: Boolean,
      default: false
    },
    fillStartColor: {
      type: String,
      default: '#0009DE'
    },
    fillEndColor: {
      type: String,
      default: '#2ECDFF'
    }
  }
}
</script>